Subject: bug#55857: Odd Shepherd message on 'guix system reconfigure': (map (# ?) ?)

From: Ludovic Courtès <[email-masked]>
Date: Wed, 24 May 2023 15:48:51 +0200

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> This bug was closed as notabug, but I still see it as an issue worth
> fixing.  Just using the (gnu services herd) API to query live services
> ends up producing such a messages; I think from the 'resolve-transients'
> procedure there that calls to eval-there unconditionally.

I think the ‘eval-there’ call from ‘resolve-transients’ no longer
happens with shepherd 0.10.0, because the ‘transient?’ entry is always
present in the service alist.

Can you confirm?

Ludo’.